Package org.eclipse.mat.parser.index

## Class IndexWriter.IntArray1NSortedWriter

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntArray1NWriter
  - - org.eclipse.mat.parser.index.IndexWriter.IntArray1NSortedWriter

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntArray1NSortedWriter
    extends IndexWriter.IntArray1NWriter

Used to write out a sorted array of ints.

### Constructor Summary

Constructors
`IntArray1NSortedWriter​(int size, File indexFile)` Construct a IntArray1NSortedWriter of the required size.

### Method Summary

### Methods inherited from class org.eclipse.mat.parser.index.IndexWriter.IntArray1NWriter

`cancel, flush, getIndexFile, log, log, log, log`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntArray1NSortedWriter

    public IntArray1NSortedWriter​(int size,
                                  File indexFile)
                           throws IOException

Construct a IntArray1NSortedWriter of the required size.

Parameters:
  `size` - number of entries
  `indexFile` - the output file
Throws:
  `IOException` - if there is a problem with file